WebGoat & WebWolf System Requirements | Cycubix Docs

In order to utilize WebGoat and WebWolf you need to fulfil the system requirements. Set up your pc and fulfil system requirements for mac & windows now

Further training

Visit Cycubix.com to find out more about our Application Security training courses. We also offer (ISC)² Official training for CISSP, SSCP, CCSP and CSSLP certifications.In order to utilize WebGoat and WebWolf, you need to fulfill the system requirements and set up your laptop / PC as described below.

Mac Users

  • Mac hardware must be a 2010 or newer model, with Intel’s hardware support for memory management unit (MMU) virtualization, including Extended Page Tables (EPT) and Unrestricted Mode. You can check to see if your machine has this support by running the following command in a terminal: sysctl kern.hv_support

  • MacOS El Capitan 10.11 and newer macOS releases are supported. We recommend upgrading to the latest version of macOS.

  • At least 4GB of RAM (recommended 8GB)

  • VirtualBox prior to version 4.3.30 must NOT be installed (it is incompatible with Docker for Mac). If you have a newer version of VirtualBox installed, it’s fine.

Windows Users

  • Windows 10 Professional, Enterprise or Education editions.

  • At least 4GB of RAM (recommended 8GB)

  • Docker for Windows requires Microsoft Hyper-V to run. The Docker for Windows installer enables Hyper-V for you, if needed, and restart your machine. After Hyper-V is enabled, VirtualBox no longer works, but any VirtualBox VM images remain.

Further training

Visit Cycubix.com to find out more about our Application Security training courses. We also offer (ISC)² Official training for CISSP, SSCP, CCSP and CSSLP certifications.